---
title: 'Easier for Job Seekers to Quickly Find the Right Job '
custom:
  title: We Make it Easier for Job Seekers to Quickly Find the Right Job among Job Advertisements
  date: 2020-09-13 11:37
  content: |-
    **Five questions to Mattias Persson, project manager and developer of the AI solution JobAd Enrichments.
    **

    ###### What is behind the whole project around JobAd Enrichments?
    “Job seekers, who are searching for job via digital advertising platforms today, experience often problems with irrelevant search results and job proposals, or just search results that only partially match their profile and what they are looking for. It leads to frustration, and it is time consuming reviewing texts to check if they really contain anything interesting for the job seeker. By developing [JobAd Enrichments](https://jobtechdev.se/en/components/jobad-enrichments), we make it easier for job seekers to navigate and quickly find the right and proper job advertisements, which match one's profile. The API is based on an AI solution that identifies automatically relevant words in job advertisements and filters out redundant information. In addition, a synonym function is developed, which allows to get relevant search results, even if keywords in the ad or search query are misspelled.”

    ###### Who will be able to benefit from JobAd Enrichments?
    "All public and private matching actors, who would like to extract structured data from advertisements in order to improve services and/or build new innovative solutions, will be able to benefit from it. Thus, it will benefit job seekers and employers, who are using these services. Over the past year, JobAd Enrichments has been tested in the Swedish Public Employment Service's job board  [Platsbanken](https://arbetsformedlingen.se/platsbanken/) to increase the quality of search results and make it easier for job seekers to find relevant ads. This is a clear example on how the API has already been used and how it contributes to improving the situation on the labour market. In addition, the API can be useful for researchers and experts, who would be able to extract structured advertising data and thus getting in-depth insights on how the labour market functions.”

    ###### How has the whole work behind developing the API gone through?
    “We started building a glossary of the actual terms and keywords, used in the job ads. The next step was to identify them and then we started interpreting automatically the ad texts. We used Deep Learning/ AI in order to be able to evaluate, for example, if a competence or skill are in demand or not by a potential employer. In order to design the AI models, we created training data using the Snorkel framework and then we trained the AI models with Google's Tensorflow.”

    ###### What has been the biggest challenge along the way?
    “I would say that it was finding the optimal configuration for training and making the AI models to work. It took  quite some time, testing and failed attempts to find an optimal solution. I will not exaggerate if I say that it has been a real test of patience."

    ###### How can JobAd Enrichments contribute to a better labour market?
    “The API does not only streamline the job matching, but it equips us with completely new information about the labour market. With more in-depth knowledge, conditions are created for new digital matching and guidance services. It will be exciting to see how the API will be welcomed and used by developers and other actors, who follow our work. I am looking forward to acknowledging many innovative services, using JobAd Enrichments as part of the solution.”
  short: Five questions to Mattias Persson, project manager and developer of the AI ​​solution JobAd Enrichments.
date: 2020-09-13 11:37
taxonomy:
  category:
  - News
  type:
  - Interview
gitlaburl: https://gitlab.com/arbetsformedlingen/www/jobtechdev-se-v2/-/blob/main//user/pages/03.news/16.intervju_mattias/news_blog_post.en.md
gitdir: /arbetsformedlingen/www/jobtechdev-se-v2
gitdir-file-path: /user/pages/03.news/16.intervju_mattias/news_blog_post.en.md
path: /arbetsformedlingen/www/jobtechdev-se-v2/user/pages/03.news/16.intervju_mattias/news_blog_post.en.md
tags:
- user::pages::03.news::16.intervju_mattias::news_blog_post.en.md
- pages::03.news::16.intervju_mattias::news_blog_post.en.md
- 03.news::16.intervju_mattias::news_blog_post.en.md
- 16.intervju_mattias::news_blog_post.en.md
- news_blog_post.en.md
---
---
title: 'Easier for Job Seekers to Quickly Find the Right Job '
custom:
    title: 'We Make it Easier for Job Seekers to Quickly Find the Right Job among Job Advertisements'
    date: '2020-09-13 11:37'
    content: "**Five questions to Mattias Persson, project manager and developer of the AI solution JobAd Enrichments.\n**\n\n###### What is behind the whole project around JobAd Enrichments?\n“Job seekers, who are searching for job via digital advertising platforms today, experience often problems with irrelevant search results and job proposals, or just search results that only partially match their profile and what they are looking for. It leads to frustration, and it is time consuming reviewing texts to check if they really contain anything interesting for the job seeker. By developing [JobAd Enrichments](https://jobtechdev.se/en/components/jobad-enrichments), we make it easier for job seekers to navigate and quickly find the right and proper job advertisements, which match one's profile. The API is based on an AI solution that identifies automatically relevant words in job advertisements and filters out redundant information. In addition, a synonym function is developed, which allows to get relevant search results, even if keywords in the ad or search query are misspelled.”\n\n###### Who will be able to benefit from JobAd Enrichments?\n\"All public and private matching actors, who would like to extract structured data from advertisements in order to improve services and/or build new innovative solutions, will be able to benefit from it. Thus, it will benefit job seekers and employers, who are using these services. Over the past year, JobAd Enrichments has been tested in the Swedish Public Employment Service's job board  [Platsbanken](https://arbetsformedlingen.se/platsbanken/) to increase the quality of search results and make it easier for job seekers to find relevant ads. This is a clear example on how the API has already been used and how it contributes to improving the situation on the labour market. In addition, the API can be useful for researchers and experts, who would be able to extract structured advertising data and thus getting in-depth insights on how the labour market functions.”\n\n###### How has the whole work behind developing the API gone through?\n“We started building a glossary of the actual terms and keywords, used in the job ads. The next step was to identify them and then we started interpreting automatically the ad texts. We used Deep Learning/ AI in order to be able to evaluate, for example, if a competence or skill are in demand or not by a potential employer. In order to design the AI models, we created training data using the Snorkel framework and then we trained the AI models with Google's Tensorflow.”\n\n###### What has been the biggest challenge along the way?\n“I would say that it was finding the optimal configuration for training and making the AI models to work. It took  quite some time, testing and failed attempts to find an optimal solution. I will not exaggerate if I say that it has been a real test of patience.\"\n\n###### How can JobAd Enrichments contribute to a better labour market?\n“The API does not only streamline the job matching, but it equips us with completely new information about the labour market. With more in-depth knowledge, conditions are created for new digital matching and guidance services. It will be exciting to see how the API will be welcomed and used by developers and other actors, who follow our work. I am looking forward to acknowledging many innovative services, using JobAd Enrichments as part of the solution.”"
    short: 'Five questions to Mattias Persson, project manager and developer of the AI ​​solution JobAd Enrichments.'
date: '2020-09-13 11:37'
taxonomy:
    category:
        - News
    type:
        - Interview
---

